aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools/distrib/clang_format_code.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/distrib/clang_format_code.sh')
-rwxr-xr-xtools/distrib/clang_format_code.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/tools/distrib/clang_format_code.sh b/tools/distrib/clang_format_code.sh
new file mode 100755
index 0000000000..55f4c52ec2
--- /dev/null
+++ b/tools/distrib/clang_format_code.sh
@@ -0,0 +1,13 @@
+#!/bin/bash
+
+set -ex
+
+# change to root directory
+cd $(dirname $0)/../..
+
+# build clang-format docker image
+docker build -t grpc_clang_format tools/dockerfile/grpc_clang_format
+
+# run clang-format against the checked out codebase
+docker run -e TEST=$TEST --rm=true -v `pwd`:/local-code -t grpc_clang_format /clang_format_all_the_things.sh
+